package de.roko.genalogy.downloader.database;

import de.roko.genalogy.downloader.archion.ArchionLoginHelper;
import org.junit.jupiter.api.*;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;

import java.io.File;

import static org.junit.jupiter.api.Assertions.*;

class DokumentExtractorTest {

    public String username = "robatkoch";
    public String password = "PaLiNa2016$$";

    public ChromeDriver driver;

    @BeforeAll
    static void setUp() {

        String userHome = System.getProperty("user.home");
        String downloadFolder = userHome + "/Pictures/archion";
        new File(downloadFolder).mkdirs();


    }

    @BeforeEach void login() throws InterruptedException {

        ChromeOptions options = new ChromeOptions();
        options.addArguments("--remote-allow-origins=*");

        // WebDriver starten
        driver = new ChromeDriver(options);

        ArchionLoginHelper archionLoginHelper = new ArchionLoginHelper(driver);
        archionLoginHelper.login(username, password);
        //assertFalse(archionLoginHelper.isLoggedIn(), "Login nicht möglich");

    }

    @Test
    void run() throws Exception {
        try {
            DokumentExtractor dokumentExtractor = new DokumentExtractor();
            dokumentExtractor.run();
        } finally {
            driver.quit();
        }


    }


    @Test
    void runForArchiv() throws Exception {
        //new DokumentExtractor().runForArchiv("Landeskirchenarchiv der Evangelischen Kirche Mitteldeutschland/Eisenach");
        //new DokumentExtractor().runForArchiv("Landeskirchliches Archiv der Evangelisch-Lutherischen Kirche in Norddeutschland");
        //new DokumentExtractor().runForArchiv("Archiv der Evangelischen Landeskirche Anhalts");
        //new DokumentExtractor().runForArchiv("Landeskirchenarchiv der Evangelischen Kirche Mitteldeutschland/Magdeburg");
        new DokumentExtractor().runForArchiv("Landeskirchliches Archiv der Evangelisch-Lutherischen Landeskirche Sachsens");
        new DokumentExtractor().erstelleBildOrdnerFuerAlleBuecher("/Users/robertkoch/archion_bilder");


    }

    @Test
    void erstelleBildOrdnerFuerAlleBuecher() throws Exception {
        new DokumentExtractor().erstelleBildOrdnerFuerAlleBuecher("/Users/robertkoch/archion_bilder");
    }

    @Test
    void runForBundesland() throws Exception {
        new DokumentExtractor().runForBundesland("Thüringen");
    }

    @AfterEach void quit() {
        driver.quit();
    }
}